
----------------------------------------------------------------------
    Advantig OneClick Creator
----------------------------------------------------------------------

Copyright (C) 2006-2014 Advantig Corporation, ALL Rights are Reserved.

---------
 Changes
---------

Version 2.2.0.0
 - Fixed WebViewer non-advanced mode command line to correct
   repeater connection problem with the new UVNC viwer change.

 - Fixed unsigned uninstaller warning from antivirus software.

Version 2.1.0.0
 - Updated the VNC Viewer & VNC Server to UVNC v1.1.9.6 for better
   Win 8.0 & 8.1 compatibility.
 - Added a signed uninstaler to the customer module to help stop
   AntiVirus software from preventing customer module uninstalling.
 - Fixed other minor compile problems. 


Version 2.0.9.8
----------------------------------
 - Build 201112101530 - Cosmetic fixes. 
 - Build 201108111400 - You can now set the number of seconds the
   splash screen is shown by adding the SplashSeconds= tag to the
   [OneClick] section in the ultraVNC.ini file located the SC Source
   folder. Valid numbers are 0 through 10. Default is 5 seconds.
   Setting it to 0 disables the splash.
   Example: 
 
   [OneClick]
   NoReconnectIcon=0
   NoSafeModeIcon=0
   NoStopIcon=0
   NoToolBoxIcon=0
   SplashSeconds=3

 - Build 201106031400 - The customer module no longer waits for
   the Splash.bmp to close. It continues installing while it
   is being displayed.

 - The customer module creator now creates the customer module in
   the Documents folder if it can't write to the install folder.

Version 2.0.9.7
----------------------------------
 - build 201103301200 fixes a bug in the Check for Updates feature.

 - build 201103280900 Included and Automatic WebConfig File Updater
   utility. This can be used instead of a dynamic DNS (DDNS) service
   such as no-ip, dyndns, etc if you use WebConfig mode.

 - The Customer Module Creator now auto-detects the public IP address
   of the workstation it's running on and pre-populates the address
   prompt so you don't have to look up the IP address manually if not
   using a DNS or DDNS (such as No-IP or DnyDNS) address.

 - The Popup Timer/Toolbox now does not start until Winvnc is launched.

Version 2.0.9.6
----------------------------------
 - Build 201103171730 - Improved detection of existing UltraVNC server.

 - Improved installation on machines running in a restricted user account.

Version 2.0.9.5
----------------------------------
 - Build 201012122345 - The customer module is now created with the
   date and time in the file name to make creating multiple customer
   modules easier without having to rename the "OneClick.exe" file.
   Example: OneClick-2010.12.11-16.46.23.exe

 - Build 201012101645 - The "AfterCreate.bat" file in the OneClick
   folder runs automatically after building a customer module. You
   can use it to sign your customer module, rename it or run another
   program etc. It passes the name of the customer module on the
   command line (no path and no quotes) to the AfterCreate.bat file.
   You can use the %1 variable to pass your variable to your command
   or program.  If your program needs the path or to include quotes
   you will need to add them to your command line in the bat file.
   You can also use it to call a batch file to automatically copy the
   customer module to your shared drive or FTP it to your website.
 
   Examples:
 
    SignTool.bat %1
    CodeSign.exe "%1"
    ftp.bat %1
 
    MyProgram "%1"
 
    copy /Y "Customer Modules\%1" "Z:\Shared\Customer Modules"
 
    copy /Y "Customer_Modules\%1" "SignedCustomerModules"
    "..\_SignCustomerModule.bat" "SignedCustomerModules\%1"

 - The Re-Connect Support icon can now be customized by replacing or
   editing the icon0.ico file in the SC Source folder. If icon0.ico
   does not exist the default icon in the WinvncSC.exe will be used.

 - The Re-Connect Support and System Boot Configuration desktop icons
   can now be disabled by adding the following lines to the UltraVNC.ini
   file after the [OneClick] tag if they don't exist.
   Do NOT add more than one [OneClick] tag to the UltraVNC.ini file.

   [OneClick]
   NoReconnectIcon=1
   NoSafeModeIcon=1
   NoStopIcon=1
   NoToolBoxIcon=1

   Set NoReconnectIcon to =1 to disable the "Re-Connect Support" icon.
     Set it to =0 to enable it (default) 

   Set NoSafeModeIcon to =1 to disable the "System Boot Configuration" icon.
     Set it to =0 to enable it (default) 

   NOTE: If you disable the "Re-Connect Support" desktop icon and
         UltraVNC reaches it's maximum reconnect tries your customer
         will have to use the Add New Viewer menu and enter the address info
         (address::port and repater ID if applicable) manually to re-connect
         or they will need to run the uninstall program (Uninst.exe) and
         re-run the customer module to reconnect.

Version 2.0.9.4
----------------------------------
 - The 1cToolBox and Stop Remote Support desktop icons can now be
   disabled by adding the following lines to the UltraVNC.ini file
   after the [OneClick] tag if they don't exist.
   Do NOT add more than one [OneClick] tag to the UltraVNC.ini file.

   [OneClick]
   NoStopIcon=1
   NoToolBoxIcon=1
   NoReconnectIcon=1
   NoSafeModeIcon=1

   Set NoStopIcon to =1 to disable the "Stop Remote Support" icon.
     Set it to =0 to enable it (default) 

   Set NoToolBoxIcon to =1 to disable the "1cToolBox" icon.
     Set it to =0 to enable it (default) 

   NOTE: If you disable the "Stop Remote Support" desktop icon you
         may need to use the popup toolbox or navigate to the install
         folder to run the uninstall program (Uninst.exe) if your
         UltraVNC.exe doesn't run it on exit.

Version 2.0.9.3
----------------------------------
 - (Build 201010281100) Added a reconnect prompt to the WebViewer
   (repeater mode) so it doesn't have to be re-launched if there
   is a disconnect or reboot.

 - SocketConnect sets the server into listen mode. It should be 0 for
   SC connections so it doesn't conflict with another program listening
   on the same port and for added security it prevents anyone from
   trying to connect to the server even though the password is set to
   an un-type-able value which should prevent anyone connecting to it.

   Changed the customer module to not set the SocketConnect field and
   sets AutoPortSelect=1 if SocketConnect not set to 0 to help prevent
   port conflicts. This lets the person building the customer module
   decide if they want to risk port conflicts by setting it to listen.

 - Changed Reboot option to auto-reboot the customer machine when
   the customer module is uninstalled instead of asking. (optional)


Version 2.0.9.2
----------------------------------
 - Changed customer modules to prevent the program compatibility
   prompt at the end of the session on Windows 7 systems.


Version 2.0.9.1
----------------------------------
 - Added shortcut to desktop to force a reconnect to the technician.


Version 2.0.9.0
----------------------------------
 - All menu text is now user configurable by editing the CustomText.ini
   file in the SC Source Folder.

 - Now uninstalls other VNC services if running in service mode to
   allow the OneClick UltraVNC service to start and reconnect after
   reboot. The other service is re-installed when the OneClick session
   ends. Reboot may be required to re-start the other VNC service on
   some systems.

 - Updated UVNC program to latest SVN version.


Version 2.0.8.0 build 201001061415
----------------------------------
 - Updated UVNC program to latest version.


Version 2.0.7.0 build 200911061130
----------------------------------
 - Fixed file transfer crash in VncViewer.exe v108.

 - Fixed Tools url not removed from desktop if timer is disabled.

 - Updated VncViewer.exe and WinVnc.exe to 1.0.8.0 + Advantig mods
 -- Added balloon messages to file transfer actions.

 - Speed and performance optimizations.

Version 2.0.6.0
---------------
 - Customer module now gives the user the option to quit or continue
   and auto-close VNC if it detects VNC running as an application.

 - Updated VncViewer.exe to 1.0.6.6 SVN 465 + Advantig mod
 -- Gui lock fixed ( server disconnect without message could lock gui)

 - Updated WinVnc.exe to 1.0.6.6 SVN 464 + Advantig mod
 -- better deadlock fix
 -- avoid unwanted wait
 -- if no incremental udate is requested (full update) the incremental
    rectangle is the full screen

Version 2.0.5.0
---------------
 - Fixed viewer file transfer drive/folder selection dropdown menu bug.

 - Cleaned up Win 7 / Vista uninstall service.

 - Rejecting the connection will uninstall the customer module.

 - Fixed a bug preventing the server from uninstalling if not using
   the popup toolbox/timer when running in service mode.


Version 2.0.4.0
---------------
 - Updated WinVnc.exe to 1.0.6.6 SVN 455 + Advantig mod
   to allow inputs to be disabled without blanking screen.
   Add BlankInputsOnly=0 to the ultravnc.ini file to blank monitor and
   disable inputs or use BlankInputsOnly=1 to only disable inputs when
   a blanking request is received from the viewer.  To remain RFB
   compliant They cannot be separated into different viewer commands.

 - Updated VncViewer.exe to 1.0.6.6 with changes by adzm

 - Increased hosts list to 100 max.

 -- Changes to server by adzm --
 -- fallback to dib if out of video memory
 -- balloon notifications
 -- unauth clients list
 -- modified outgoing connection dialog
 -- some new options and more misc / minor things

 -- Changes to viewer by adzm --
 -- File transfer remembers last local path within a single session.
 -- Fixed low level hook -- now uses own thread to fix bug with slow
    typing, and also resolves issues with scroll lock.
 -- Multithreaded DSM plugin changes
 -- Misc DSM bugfixes
 -- Allow connect to unsecured session if using DSM plugin

Version 2.0.3.0
---------------
 - Fixed bug if no-ip domain used without repeater.
 - Fixed "About" bug in the timer.

Version 2.0.2.0
---------------
 - Ask Port now works in Menu Mode or Direct Mode. You no longer need
   to use the [DIRECT] tag to use "Ask Port". The ? can be used for
   the port number on any [HOST] entry line in your helpdesk.txt file.

 - Add an option that allows you to test the WebConfig URL when you
   build the customer module.

 - The WebConfig URL is now saved from the last build and is
   pre-populated in the dialog box.

 - Fixed bug preventing "Ask Port" to be used with "WebConfig" on
   non-service mode customer modules.

Version 2.0.1.0
---------------
 - Updated the UVNC server (winvnc.exe) to 1.0.6.5

 - Fixed bug preventing unregistered version from building modules.

 - The address and port for the Technician's Repeater Viewer is now
   saved from the last build and pre-populated in the dialogs.

Version 2.0.0.0
---------------
 - Fixed text not sent using "Send" Button in UltraVNC winvnc.exe

 - The -id switch in the helpdesk.txt can now be left blank to prompt
   the user for the ID code even if the [DIRECT] or the [ENTERCODE]
   tags are not used. If it's not blank, the number is used to
   pre-populate the ID code prompt with a default value.
   Example: -id -plugin -connect me.myaddress.com:443 -noregistry

 - You can now change the wav file played when chat is opened. If you
   prefer no sound, delete the Ding_Dong.wav file in the SC Source
   folder or change it to what you like.  Deleting the wav file will
   make the customer module file size smaller as well.  The Timer
   uses the same file for the bell so changing the file changes both.

 - The -noregistry setting enables the "Single Click Prompt" for the
   UltraVNC Viewer.  If -noregistry is not in the helpdesk.txt file
   the server will connect using the standard VNC protocol so it can
   connect to non-UltraVNC viewers (RealVNC, TightVNC, MAC, etc)

 - OneClick now uses UVNC server v1.0.6.4 so it is fully Vista/Win7
   compatible in service and safe mode but the customer modules are
   not compatible with Windows 95/98/ME.

   It's fully compatible with existing OneClick Winvnc SC helpdesk.txt
   configuration file settings, graphics, icons and options.  You can
   use your existing OneClick (or SingleClick) files without changes.

   There is nothing special about the winvnc file included with this
   package other than the graphics are changed to decrease the size
   and the Install Service and Admin Properties menu commands are
   disabled. You can use your own winvnc.exe v1.0.6.4+ if you wish.

   It installs to the Advantig OneClick v2 folder so you can keep the
   old 1.x version installed for Windows 95/98/ME compatibility.


Version 1.8.9.8
---------------

 - Updated for Windows 7 compatibility.


Version 1.8.9.7
---------------

 - The icon used by the customer and technician web viewer exe modules
   now use the icon1.ico file in the OneClick\SC Source folder.
   The icon.dll file is no longer used and can be deleted.

 - Changed the service mode install folder to C:\Program Files\1c1897

 - Tried to fix the DSM encryption plugin not loading problem on some
   Vista machines.  Cannot duplicate the problem here.  Need feedback
   if you still experience it.

 - Replaced the UltraVNC vncviewer.exe due to a possible security exploit.


Version 1.8.9.6
---------------

 - Improved Vista screen updates.


Version 1.8.9.5
---------------

 - Removed the "UAC is disabled" warning by multiple requests.
   You will no longer get the warning so if the performance is
   extremely slow or encryption does not work, disconnect then
   have the customer enable UAC and re-run the customer module.


Version 1.8.9.4
---------------

 - Updated file compressor for Vista.


Version 1.8.9.3
---------------

 - Updated program manifests for Vista SP1.


Version 1.8.9.2
---------------

 - Changed wording on UAC warning.

 - Added delay between changing UAC and verifying the change.


Version 1.8.9.1
---------------

 - Added check for user settings that can prevent OneClick from
   setting UAC to quiet mode.


Version 1.8.9.0
---------------

 - Menued customer modules with service mode no longer display the
   selection menu when re-booting or reconnecting.  It now uses the
   option selected by the customer during the initial connection.

 - Double-Clicking the tray icon or selecting close from the tray icon
   menu now uninstalls the software even if running as a service.

 - Added more Vista AERO optimizations.



Version 1.8.8.9
---------------

 - Fixed critical files are missing error when a service mode customer
   module is forced to run in Application mode.

 - Improved Vista AERO support.

 - Added the ability to use your own company name in the password prompt,
   ID Code, Session Code and some other message box headers in the
   customer modules.

   The first line of the Startup.txt file is now used for your company
   name.  If it is not there, it will load the company name from the
   HelpDesk.txt file after the password prompt (if applicable).

Version 1.8.8.8
---------------

 - Fixed AERO disable not working on some systems.

Version 1.8.8.7
---------------

 - Now temporarily disables screen saver and APM blanking/sleep/hibernate
   while running.  Does not change any system settings.


Version 1.8.8.6
---------------

 - Updated program manifests for Vista. If you don't use the included
   versions of Winvnc.exe, VncViewer.exe, and Icon.dll you may not
   get all of the new Vista compatibility functions.


Version 1.8.8.5
---------------

 - (1/24/08) Replaced the UltraVNC vncviewer.exe due to a security exploit
   Vulnerability and it should be more stable than the previous version. 

 - Remainder of package is unchanged v1.8.8.4

Version 1.8.8.4
---------------

 - (1/20/08) Updated the digital signatures on all of the exe and dll files.

 - Fixed a bug that froze the creator if answering yes to use the same
   settings prompt and the timer option was set to not be used. 

Version 1.8.8.3
---------------

 - Changed the Tool Icon on the timer bar (wrench) to launch custom tool
   command #1. This makes it quicker and easier to launch a survey page or
   a tool from your tools folder such as voice chat or a draw on screen
   module. The tool tip when hovered over with the mouse pointer will
   display the name of custom tool #1. If custom tool #1 is not configured,
   the tool tip will display "Browse the Web Based Tools" and if clicked
   it will open your web based tool site instead of Tool #1.

Version 1.8.8.2
---------------

 - Fixed loading a configuration file from the command line if there are
   spaces in the path that your OS can't handle or if using .bat files
   instead of .cmd files. You must put a forward slash (/) before the
   path and file name of the file.
   Examples:
   Creator.exe /MyFile.txt
   "C:\My Path\With Spaces\Creator.exe" /C:\My Other Path\MyFile 2.txt

Version 1.8.8.1
---------------

 - Fixed loading a configuration file from the command line.

Version 1.8.8.0
---------------

 - Added an option to repeat the last settings you used for your last
   customer module.  The settings are stored in Defaults.txt and can be
   edited or saved for later use.  You can specify the settings.txt file
   to use on the command line.  Example: Creator.exe C:\MyStuff\Home.txt
   If it can't find the specified settings file it will try to use the
   default file named Defaults.txt in the OneClick folder.

   It will not present any prompts during the creation process unless there
   is an error. Answering NO to the Use Last Settings or any errors
   encountered will delete the Defaults.txt file if it exists.

 - Moved the remote 1cTools folder from the %temp% folder to a subfolder
   below the main OneClick folder to make it easier to run commands from
   the 10 Commands menu (1cTools\DG.exe) and help prevent the tools from
   being deleted while doing a disk cleanup.

 - Renamed the local Tools folder (SC Source\Tools to 1cTools
  (SC Source\1cTools) for more consistency between local and
   remote folders.  You will need to move your programs to the
   new folder before creating your updated customer modules.

 - Added logging to the creator.  You no longer have to wonder what
   settings you used or what version it was.

 - Added an option to repeat the last timer configuration you used for
   your last customer module.  The settings are stored in the Commands.txt
   file in the SC Source folder.  It can be edited or saved in a different
   folder for later use.  It saves the Timer window title, Tools Website
   and the 10 tool commands along with their parameters. An example is
   included in the setup package.

 - Added Desktop Graffitist, a draw/paint on desktop program to the Advantig
   Tools page.  (C:\www.advantig.com/tools).  You can put it in your 1cTools
   folder and add a custom tool command to launch directly it from the timer.
   An example is shown in the Commands.txt included with the setup program.

Version 1.8.7.9
---------------

 - Changed timer tool bar and menu layout.

 - Added Pause/Resume and OS Version to the timer tool bar and menu.

 - Added OS Version to the timer menu.

 - Removed the Boot Options from the toolbar, you will need to use the
   Boot Options from the drop-down menu. (see change below)

 - The tool icon on the timer toolbar now goes to the tools website,
   not boot options.

 - Corrected a memory access error on exit that happens on some systems

Version 1.8.7.8R
---------------

 - Some machines were too slow to display the Goodbye message before it
   was deleted.  Recompiled it to slow down the uninstall process.
   

Version 1.8.7.8
---------------

 - Improved wallpaper restore at the end of the session.

 - Improved auto-uninstall if ran on top of existing session.

 - The 1cTools folder is now removed from the desktop if the timer is used.

Version 1.8.7.7
---------------

 - Improved fallback to application mode if not able to run as a service.

Version 1.8.7.6
---------------

 - Refusing the connection from the viewer no longer asks to reboot if
   the reboot option was selected.

Version 1.8.7.5
---------------

 - Reconnects in service mode module running in application mode
   are now persistent after reboot.

Version 1.8.7.4
---------------

 - Fixed missing timer on reboot in service mode.

Version 1.8.7.3
---------------

 - You no longer have to be logged onto the remote desktop to uninstall
   the software. If you reject an incoming session the software will now
   be uninstalled even if running in service mode sitting at the Windows
   logon prompt.

Version 1.8.7.2
---------------

 - Fixed Vista connect problem in service mode module.

 - Improved desktop wallpaper restore on disconnect (Timer must be used).

Version 1.8.7.1
---------------

 - Fixed Aero restore in non-service mode with menu after disconnecting customer.

Version 1.8.7.0
---------------

 - Removed the icons from the desktop if the timer option is used.

 - Changed the creator to not ask you to edit the existing configuration
   file and changed the wording on the prompt.

 - Updated the users manual

Version 1.8.6.9
---------------

 - Added the confirmation prompt to the close button on the top right corner
   of the timer window so it works the same as the close on the menus.

 - Removed the Edit Startup / Disclaimer message prompt to simplify the
   creation process. It's normally on changed once after installing the
   software, not for every customer module so to change the message, edit
   the Startup.txt file prior to building the customer modules.

 - Removed the Edit Goodbye message prompt to simplify the creation process.
   It's normally on changed once after installing the software, not for every
   customer module so to change the message, edit the Goodbye.txt file prior
   to building the customer modules.

 - Improved the Uninstall routines to fix the reboot on disconnect

 - Updated the users manual

Version 1.8.6.8
---------------

 - Added a "Check for Updates" program to automatically check
   the installed version against the current release version
   and ask if you want to install the update. If you click yes
   it will download the update in the background and notify
   you when it is ready to install.

 - Now has even more ways you can add tools to a customer module...
   Added a custom toolbox option (My ToolBox) between the Tools Website
   selection and the 10 customizable tool commands on the "More" menu
   of the timer. On the desktop and start menu it's named 1cToolBox.
   
   Anything in the OneClick\Tools folder when you build your customer
   modules is added to your customer executable. The more there is in
   the folder, the larger your executable file size will be.  This is
   where you will install add-ons / plugins such as Voice Chat, Draw
   on Desktop and 3rd party add-ons that are not part of the OneClick
   package.  In the future, the Custom Tool commands can be used to to
   launch the tools or they can be launched directly from the folder
   if not using the timer.

 - You now have the option of creating a Self-contained pre-populated
   technician viewer that needs no installation and no user input other
   than entering the ID code (as in the customer module).  For those that
   need more flexibility, there is an Advanced button that will let you
   enter or change any settings before connection to the repeater. It can
   be used from anywhere without installing software.

   The technician's portable viewer is named "RepeaterViewer.exe" and
   is placed in the Customer Modules folder after you create a module.
   You will be asked for the address and port number to use if the
   repeater option is selected. They are hard-coded into the technician
   module so the technician will not have to enter them.


Version 1.8.6.7
---------------

 - Command console (black) windows are now hidden where possible.

 - It shouldn't overwrite your customized icon.dll anymore during upgrades.

 - Cleaned up some long text in dialog boxes.


Version 1.8.6.6
---------------

 - Added optional parameters / switches for each of the custom commands

 - Added extra stop routines to ensure timer exits if closed from a desktop shortcut

 - Did some wording changes to the menus.


Version 1.8.6.5
---------------

 - Added extra stop routines to non-service mode customer modules to ensure winvnc.exe
   is terminated if the normal (-kill) command fails.

 - The Custom Tools Website can now be ftp:// or ftps:// instead of only http or https


Version 1.8.6.4
---------------

 - You can now add up to 10 custom tools to the timer menu (1 in non-commercial versions)
   in addition to a custom tools website link.

 - The Custom Tools Website can now be ftp:// or ftps:// instead of only http or https


Version 1.8.6.3
---------------

 - The popup timer now runs as an application if OneClick installs as a service.

 - Added the tools url back to the timer.  It's also placed on the desktop and start menu.


Version 1.8.6.2
---------------

 - The popup timer is now optional.

 - Removed the tools url from the timer.  It's now placed on the desktop and start menu.


Version 1.8.6.1
---------------

 - The timer window title can now be customized with your name. Default is Advantig OneClick.

 - Resized the timer window to make it less obtrusive and give more room for a title.


Version 1.8.6.0
---------------

 - The timer will now track total time across multiple reboots.

 - Replaced the Pause/Start button with a tools button on the on-screen timer to
   make opening the custom tools page easier.

 - Added an option to the dropdown menu to quit and uninstall the sofware.

 - Removed the Pause/Start timer option to avoid forgetting to restart the timer.

 - Added some extra informational prompts (total time, restricted services etc...).

 - Changed the uninstall rounines to uninstall the software instead of simply exiting
   if the timer has an error accessing critical files.

Version 1.8.5.9
---------------

 - Recompiled without unicode to help it run on problem systems.


Version 1.8.5.8
---------------

 - Added an on-screen timer to the customer modules that tracks total session time.

   Clicking the X in the upper right corner will exit with no prompt.

   Clicking the X icon on the bottom menu bar will exit with a confirmation prompt.

   Clicking the Bell icon will ring the bell on the remote machine.

   Clicking the Pause/Start icon will pause/start the timer.

   Clicking the triangle icon will pull down the tools menu.

 - Added a user configurable password prompt to the customer modules.

 - Added a Daily PIN option to the password prompt.  If enabled, it will
   append the 2 digit day of the month to the end of your password.

   Examples: (password set to "help" and Daily PIN option enabled)
      30th day of the month: help30
      30th day of the month: help31
       1st day of the month: help01

 - Added a user configurable YES / NO message to the customer
   modules. Up to 4 lines of 200 characters each can be
   written to the Startup.txt file in the SC Source folder.
   (default is C:\Program Files\Advantig\OneClick\SC Source\Startup.txt).
   If the file is missing or blank it will be skipped.  It's main
   purpose is for a disclaimer prompt but can be used for any
   Yes/No question.  An example is shown below:

   ADVANTIG CORPORATION MAINTAINS ABSOLUTE CONFIDENTIALITY REGARDING ANY AND ALL FILES OR DATA ON YOUR MACHINE OR NETWORK. IF YOU HAVE ANY CONCERNS OR QUESTIONS CALL +1 (336) 767-4029
   YOU SELECT WHEN AND HOW REMOTE SESSIONS ARE TO BE INITIATED. THERE IS NO WAY AN UNAUTHORIZED PARTY CAN INITIATE AN UNAUTHORIZED REMOTE SUPPORT SESSION TO YOUR COMPUTER USING OneClick.
   Do you agree to the Terms and Conditions posted on our website at www.advantig.com?

 - Added a user configurable Tools option.  The creator asks for the URL to a webpage
   with your tools and utilities.  It can also be added manually for those running in
   batch mode.  Just copy your URL to the SC source folder and name it Tools (Tools.url)
   before creating your customer module.

 - Added a Stop Remote Support link to the Windows Start Menu.

 - Added a Boot Options link to the Windows Start Menu.

 - Added a 5 second delay to the uninstall and reboot option.  This will give you
   5 seconds before the software uninstalls and the system reboots.

 - Increased the reconnect time from 15 seconds to 45 seconds to give more time for
   whatever caused the disconnect to clear up.

 - Added a user configurable splash (splash.bmp not logo.bmp) to the customer modules.
   The Splash.bmp is shown when the customer module is launched, the logo.bmp is only
   used in the WinVNC selection menu.  If the Splash.bmp exists in the SC Source folder,
   it will be used instead of the default. Non-Commercial versions will only show the
   default splash due to abuse.

 - The user configurable Goodbye message to the customer can no longer be changed in
   non-commercial versions due to abuse.

 - The running Winvnc icons can still be changed but the Advantig icon and company
   information shown on the customer modules can no longer be changed from the icon.dll
   file in non-commercial versions due to abuse.

 - Fixed bug in custom icon.dll import.

 - Fixed some typos

 - Removed debug routines for better speed but makes it harder to track beta problems.

Version 1.8.5.7
---------------
 - You can now change the icon and file information used by the customer modules and
   technician webviewer. You will need to use a resource editor to replace the icon in
   the "icon.dll" file located in the SC Source folder. You can also edit the company
   information, product name, version etc. that is displayed in the executable module
   when hovered over by the mouse and shown in properties. A more efficient and easier
   method will be developed later.

Version 1.8.5.6
---------------
 - The goodbye message is now user configurable. If Goodbye.txt exists in the
   SC Source folder the custom message will be displayed, if it is missing,
   no message will be shown. The Goodbye message can be one line of up to
   250 characters.  An example file is included and used as the default.

Version 1.8.5.5
---------------
 - Fixed creator bug that wouldn't work with some existing helpdesk.txt files.
 - AERO disable feature is back, 1.8.5.4 was compiled with old source files by mistake.

Version 1.8.5.4
---------------
 - Improved wallpaper restore when the program exits.

Version 1.8.5.3 C6
------------------
 - Recompiled to support machines that do not have VC7 dll files
   installed or missing.


Version 1.8.5.3
---------------
 - Now auto-disables AERO in Windows Vista and re-enables it when the
   session ends.

 - Fixed the reboot on disconnect prompt.

Version 1.8.5.2
---------------
 - Fixed a (typo) bug that disabled multi-tech customer modules.

 - Now auto-disables UAC in Windows Vista and resets it to the
   pre-connect setting when the session ends in non-service multi-tech
   customer modules as well.

Version 1.8.5.1
---------------
 - Auto-disables UAC in Windows Vista and resets it to the
   pre-connect setting when the session ends.

Version 1.8.5.0
---------------
 Added option to turn on/off the reboot remote PC prompt on disconnect.
 To enable, create a blank text file named Reboot.txt in the SC Source
 folder.  To disable it, delete the file.  The Creator will do this for
 you but the above information is for people running the creator from a
 batch file.  When run from a batch file it's won't ask.
 
 Updated and improved the RemoteStart program to work with this version
 of OneClick.  This was a major rewrite so please report problems.
 
 Added more folders to the installation attempt for service mode.

